<?php
  include("conn.php");
  include("fnc-titulares.php");
  $vArreglo = array();
  $vItem    = array();    

  //al filtro para obtener descripciones lo voy a tener que recorrer y agregar filtros or 
  if (isset($_POST['xLista'])) {
    $x1 = $_POST['xLista'];
    $x2 = str_replace('"', '', $x1);
    $x3 = str_replace('[', '', $x2);
    $x4 = str_replace(']', '', $x3);
    //echo $x4;

    //transformo la xLista en un array de bases/cajas
    $listaCajas = explode(',',$x4);
    $sqlFiltro = " AND ("; 
    foreach ($listaCajas as $value) {
      $aux = explode('-', $value);
     
      if ($sqlFiltro <> " AND (") {
        $sqlFiltro .= " OR ";
      }
      //$sqlFiltro .= "(B.BASE = " . $aux[0] . " AND T.TITULAR = " . $aux[1] . ")";
      $sqlFiltro .= "(B.BASE = " . $aux[0] . " AND T.TITULAR = " . $aux[1] . ")";
    }
    $sqlFiltro .= ")";
  }
  else {
    $sqlFiltro = '';
  }
  //echo $sqlFiltro;

  $sqlAdmin = ($_SESSION['CurrentAdmin'] == 0)?" AND UB.ID_USUARIO = ".$_SESSION['CurrentIdUser']:"";

  $sqlVistaTitulares = getVistaTitulres($DBSegu);
  $sql = "SELECT DISTINCT B.BASE, B.DESCRI AS DESC_BASE, T.TITULAR, T.DESCRI AS DESC_TITULAR
          FROM (SELECT XB.BASE, XB.DESCRI 
                FROM BASES XB 
                     INNER JOIN USUARIOSBASES XUB 
                         INNER JOIN USUARIOS XU 
                         ON XUB.ID_USUARIO = XU.ID_USUARIO 
                            AND XU.USUARIO = 'PIXO_WEB' 
                     ON XB.BASE = XUB.BASE) B  
               INNER JOIN ".$sqlVistaTitulares." T
               ON B.BASE = T.BASE
               INNER JOIN USUARIOSBASES UB 
                   INNER JOIN USUARIOS U 
                   ON UB.ID_USUARIO = U.ID_USUARIO 
               ON B.BASE = UB.BASE ".$sqlAdmin."
          WHERE 1=1 ".$sqlFiltro."
          ORDER BY B.DESCRI ";
  $RsUnidades = $DBSegu->Execute($sql);
  if (!$RsUnidades) {
    print $DBSegu->ErrorMsg();
  }
  while (!$RsUnidades->EOF) {
    $contador = 0;    
    if ($vArreglo <> '') {
      foreach ($vArreglo as $name1 => $value1) { 
      $contador++;
      $$name1 = $value1;
      }
    }
       
    //$vItem['value'] = ;
    $vArreglo[$contador] = $RsUnidades->fields['BASE'].'-'.$RsUnidades->fields['TITULAR'];

    $RsUnidades->Movenext();      
  }
  
  header('Content-type: application/json; charset=utf-8');
  echo json_encode($vArreglo);
?>